由买买提看人间百态

topics

全部话题 - 话题: sum
1 2 3 4 5 6 7 8 9 10 下页 末页 (共10页)
u****f
发帖数: 46
1
来自主题: USTC版 - 请各位校友帮忙宣传SUM
各位校友:
接到来自校友总会的请求帮助信息!科大有一项国际学生交流活动(已临近截止日期)
希望大家帮助推广。
中国科大与美国斯坦福大学、麻省理工学院有个交流合作的项目(简称SUM),已成功
举办两届,今年是第三届已启动,需要招募两校的优质学子(面向国际学生)参与活动
。活动要点如下:
Event Time: September 15-25, 2014
Location: USTC in Hefei, China
Participants: Stanford, USTC, and MIT students
Fees: Free to all participants, all travel expenses, lodging, and meals will
be covered
Core Activities: Product design competition and business plan competition
附上SUM的网站链接: http://sum.ustc.edu.cn/ 和2014年的招生宣传海报及初步日程安排(见附件),以便各位校友查阅,烦请有认识上述两所学校(... 阅读全帖
S*******C
发帖数: 822
2
来自主题: JobHunting版 - lintcode subarray sum 怎么做?
Subarray Sum
20%
Accepted
Given an integer array, find a subarray where the sum of numbers is zero.
Your code should return the index of the first number and the index of the
last number.
Example
Given [-3, 1, 2, -3, 4], return [0, 2] or [1, 3].
http://www.lintcode.com/en/problem/subarray-sum/
下面的解法总是在第16个test case Memory Limit Exceeded
public ArrayList subarraySum(int[] a) {
ArrayList res = new ArrayList();
//a map between sum and index
Has... 阅读全帖
b*****e
发帖数: 5
3
Simple linear regression EYi=alpha+beta*xi
如果a和b是alpha与beta的MLE, N为sample size
Sum of square residual是sum(Yi-a-b*xi)^2, 如何证明它等于
sum(Yi-alpha-beta*xi)^2-N*(Y.bar-alpha-beta*x.bar)^2-(b-beta)^2*sum(xi-x.bar
)^2,相当于SS residual除以sigma^2能拆成三个chi-sq
我想的是先拆成ANOVA的形式:Sum(Yi-Yi.hat)^2=sum(Yi-Y.bar)^2-sum(Y.bar-Yi.hat
)^2, 第二项与要证的最后一项类似,但是相差一个beta. 第一项sum(Yi-Y.bar)^2可拆
成sum(Yi-mu.i+mu.i-Y.bar)^2. 可是因为Yi不是iid,不能像普通的sample variance那
样化简为sum(Yi-mu)^2-N*(mu-Y.bar)^2,我就不知道往下如何进行了, 哪位能指点一
下吗?谢谢!
h*********n
发帖数: 11319
4
这题比那题简单,因为都是正数
一遍scan就行了。
void scan(int A[], int n, int k){
int sum = 0;
int maxSum = 0;
int start = -1;
int end = -1;
int j=0;
while ((sum+A[j]) <= k && j sum += A[j];
j++;
}
start = 0;
end = j-1;
maxSum = sum;
int i=0;
while(j sum -= A[i];
while((sum+A[j]) <=k && j sum+=A[j];
j... 阅读全帖
S*******C
发帖数: 822
5
来自主题: JobHunting版 - Career cup 4.9 path sum的答案肯定错了
4.9 You are given a binary tree in which each node contains a value. Design
an algorithm to print all paths which sum to a given value. The path does
not need to start or end at the root or a leaf
Page 237
他的答案如下
package Question4_9;
import CtCILibrary.TreeNode;
public class Question {

public static void findSum(TreeNode node, int sum, int[] path, int level
) {
if (node == null) {
return;
}

/* Insert current node into path */
path[level... 阅读全帖
w********p
发帖数: 948
6
来自主题: JobHunting版 - 讨论个subarray sum的变种问题
根据你提供的algorithm and feedback, 从写思路. one time scan
running time O(n) space O(1)
Please correct me, if logic error
//n is the array size
maxSum=-99999999;
if (k>n) return failed
for (int i=0; i startIndex=i;
endIndex= (i+k-1)% n;
//get the sum of k number from startIndex to endIndex
sum=SumKMember(startIndex, endIndex, sum);
if (sum>maxSum ) { maxSum = sum; retrunIndex=startIndex }
}
//get sum only one time scan
int SumKMember(int startIndex, int endIndex, sum) {
c******n
发帖数: 710
7
来自主题: JobHunting版 - Leet Code, three sum closest
This is my solution. I think it is O(n^2)
public int threeSumClosest(int[] num, int target) {

if (num==null || num.length<3)
return 0;

Arrays.sort(num);
int output=num[0]+num[1]+num[2];
for (int i=0; i int l=i+1;
int r=num.length-1;
while(l int sum=num[i]+num[l]+num[r];
if (sum==target){
return target;
}else if (sum... 阅读全帖
c*****a
发帖数: 808
8
来自主题: JobHunting版 - Combination Sum II哪里做错了
大牛快来看看
Combination Sum II
Given a collection of candidate numbers (C) and a target number (T), find
all unique combinations in C where the candidate numbers sums to T.
Each number in C may only be used once in the combination.
Note:
All numbers (including target) will be positive integers.
Elements in a combination (a1, a2, … , ak) must be in non-descending
order. (ie, a1 ≤ a2 ≤ … ≤ ak).
The solution set must not contain duplicate combinations.
For example, given candidate set 10,1,2... 阅读全帖
Y**Y
发帖数: 66
9
子数组要求连续吧?
两个pointer (i, j),从左到右, sum = A[i] + ... A[j];
i=j = 0;
LOOP:
sum += A[j];
if (sum <= 0) {sum = 0; i=j=j+1;}
else if (sum >= target){
while (sum - A[i] >= target) {
sum -= A[i];
i++;
}
min_subarray = min(min_subarray, j-i+1);
}
j++
b**m
发帖数: 1466
10
来自主题: JobHunting版 - path sum II OJ 超时
我的理解就是个DFS, 我写的有啥问题吗?
/**
* Definition for binary tree
* public class TreeNode {
* int val;
* TreeNode left;
* TreeNode right;
* TreeNode(int x) { val = x; }
* }
*/
public class Solution {
public ArrayList> pathSum(TreeNode root, int sum) {
// Start typing your Java solution below
// DO NOT write main() function
ArrayList> results = new ArrayList();
if(root==null){
return results;
}
... 阅读全帖
k****r
发帖数: 807
11
这道题当时c++时简单的就实现了,但是类似的,我用java就不对,具体代码是这样的
public class Solution {
public int sumNumbers(TreeNode root) {
int result = 0;
int tmp = 0;
sumHelp(root, tmp, result);
return result;
}
private void sumHelp(TreeNode root, int tmp, int sum){
if (root == null) return;
if (root.left == null && root.right == null){
int newone = tmp + root.val;
sum = sum + newone;
}
if (root.right != null) sumHelp(root.right,... 阅读全帖
o*******w
发帖数: 349
12
直觉上很显然,怎么证明呢?
n
SUM i*Pr(i) is bounded by O(n^a) where a < 1
i
Pr(0), Pr(1), Pr(2), ... 是一个概率密度
大致有∶
因为 Pr(i) can be bounded by O(1/i^c) where c > 1 否则 SUM Pr(i) > 1(怎么证?); e.g.
n
SUM 1/i = O(ln n)
1

只需考虑 SUM 1/i^(c-1) c<2 的情况, i.e. 1< c <2。则
n
SUM i*Pr(i) < SUM i*(1/i^c)
1
= SUM 1/i^(c-1) = O(n/n^(c-1))
= O(n^(2-c)) = O(n^a) where a = 2-c < 1
i**********e
发帖数: 1145
13
这里我已经给出完整代码了(不过那题是 largest subarray sum >= max,思路是一样
的,代码作稍微修改就行):
http://www.mitbbs.com/article/JobHunting/31797225_0.html
基本思路就是先建立一个 cumulative sum array, where C[i] = Sum[0..i]
这是因为方便取出任何一个 subarray sum,例如 Sum[i..j] = C[j] - C[i-1].
(这里你要小心 Sum[0..0] 无法算出,一个简单解决方法是定义 C 为 size N+1.)
然后呢,对 C[] 排序。这时候你应该知道为什么 C 也应该保有原有的对应 index,因
为排序会导致之前的对应 index 都没法找回了。
排好序呢,就对 C 的每个置作循环。For each C[i], apply binary search to find
its corresponding j which satisfy the condition:
XXXXX
这个是这个题目的关键,至于怎样我懒得解释了,那个原... 阅读全帖
i******l
发帖数: 270
14
我想到了一个办法,刚刚试了一下,确实是O(N)的。
思路就是从两头往中间凑,先得到全部的和,如果满足条件就返回了,
如果不满足,比较两头的大小,每次减去小的那个,然后走一步,代码如下:
int maxSubLen( vector& data, int bar ) {
int sz = data.size(), sum = 0;
for( int i=0; i if( sum >= bar ) return sz;

int i = 0, j = sz-1;
while( i < j ) {
if( data[i] < data[j] ) sum -= data[i++];
else sum -= data[j--];
if( sum >= bar ) return j - i + 1;
}
return 0... 阅读全帖
y*******d
发帖数: 1674
15
just started leetcode practice.
has a question about #113:
public class Solution {
public List> pathSum(TreeNode root, int sum) {
List> all = new ArrayList();
findPathSum(root, sum, all, new ArrayList());
return all;
}

private void findPathSum(TreeNode node, int sum, List>
result, List l) {
if (node == null) {
return;
}
l.add(node.val);
if (node.left == null && n... 阅读全帖
g*****i
发帖数: 9630
16
来自主题: Living版 - 这个sum pump咋回事
房子的sum pump一直在抽水,原房东说,他住几年就一直这样,除非是旱季。
出水量很大,大概每分钟10gal左右,多的时候30gal+也可能,少的时候也有5gal,是
每分钟啊,绝对相当于10个家庭的用水了。
出水很清,有点甜,像深井地下水。找了sum pump的inspector,证明说一切正常,就
是出水多,说邻居也类似情况。但我偷偷去听听附近邻居的,没听到这么大声音。
怀疑是不是sum pump的井打在了泉眼,不知道会有什么问题,至少说sum pump倒一直卖
力工作。我想把sum pump抽出来的水引导一个鱼池里,不知道可行不。谁有类似经验,
说说需要注意啥。
周围没有大河大湖,地势比周围也高蛮多的,但就不知道这个sum pump为啥这么多水 。
r*****e
发帖数: 792
17
来自主题: JobHunting版 - combination sum II
my code which passed online judge:
void solveSum2(vector &num, int tgt, vector > &res, int sum
, int idx, vector &index) {
if (sum>tgt) return ;
if (sum==tgt) {
vector one;
for (size_t k=1; k one.push_back(num[index[k]]);
res.push_back(one);
return;
}
for (size_t i=index[idx]; i if (sum>0 && i==(size_t)index[idx]) continue;//avoid adding the same
beginning index on... 阅读全帖
r*****e
发帖数: 792
18
来自主题: JobHunting版 - combination sum II
my code which passed online judge:
void solveSum2(vector &num, int tgt, vector > &res, int sum
, int idx, vector &index) {
if (sum>tgt) return ;
if (sum==tgt) {
vector one;
for (size_t k=1; k one.push_back(num[index[k]]);
res.push_back(one);
return;
}
for (size_t i=index[idx]; i if (sum>0 && i==(size_t)index[idx]) continue;//avoid adding the same
beginning index on... 阅读全帖
f*****7
发帖数: 92
19
贴个我的,divide-and-conquer
/**
* Definition for binary tree
* struct TreeNode {
* int val;
* TreeNode *left;
* TreeNode *right;
* TreeNode(int x) : val(x), left(NULL), right(NULL) {}
* };
*/
class Solution {
public:
int maxPathSum(TreeNode *root) {
// Start typing your C/C++ solution below
// DO NOT write int main() function
int globalMax = INT_MIN;
maxPathSum(root, globalMax);
return globalMax;
}

//return the max path sum INCL... 阅读全帖
b******7
发帖数: 92
20
来自主题: JobHunting版 - 对角线Sum 螺旋(线)
整个n*n矩阵可以看成n/2个正方形组成,第i个正方形边长为n-2*i,从(n-2*i)*(n-2*i
)的值开始递减
右上角值为(n-2*i) * (n-2*i) - (n-2*i) + 1
左下角值为(n-2*i)*(n-2*i) - 3(n-2*i - 1)
int sum(int n)
{
if(n < 1){
return 0;
}
int sum = 1;
for(int i = 1; i < n/2; i++){
int a = n-2*i;
sum += a*a - (a -1);
sum += a*a - 3*(a-1);
}
return sum;
}
s**o
发帖数: 256
21
来自主题: Living版 - 飓风过后的sum pump的疑问
我家的sum pump一直出水很多,平均每3-4个小时就会有一大桶水。这次飓风来,我最
害怕的就是地下室给淹了。星期六晚上3点开始没有电,早上8点sum pump周围干干的,
没有什么异常,我每3,4小时检查一次,都没有什么异常,外面的水也没有增加 (我
一般用一个大桶接住排出来的水),一直到星期天晚上12点多来电,都没有看见sum
pump工作,也没有水上来淹着地下室。而且来电以后,sum pump照常工作,外面又开始
有排水了。请问大家这个是怎么回事?我们也没有安装备用电池。 这样的sum pump是
什么样的工作原理?多谢多谢。
l*********m
发帖数: 16971
22
【 以下文字转载自 Stock 讨论区 】
发信人: lovefreedom (古板潜水员), 信区: Stock
标 题: you are been compensated with the sum of 450,000.00 GBP
发信站: BBS 未名空间站 (Mon Aug 19 19:40:06 2013, 美东)
Good day To You,
This is to inform you that you have been selected among the 10 lucky people
to be compensated this month, and you are been compensated with the sum of
450,000.00 GBP (FOUR HUNDRED AND FIFTY THOUSAND POUNDS).
The reason you are been compensated is as a result of the scam you
encountered on Skype, we are aware that se... 阅读全帖
J*V
发帖数: 3150
23
【 以下文字转载自 Stock 讨论区 】
发信人: lovefreedom (古板潜水员), 信区: Stock
标 题: you are been compensated with the sum of 450,000.00 GBP
发信站: BBS 未名空间站 (Mon Aug 19 19:40:06 2013, 美东)
Good day To You,
This is to inform you that you have been selected among the 10 lucky people
to be compensated this month, and you are been compensated with the sum of
450,000.00 GBP (FOUR HUNDRED AND FIFTY THOUSAND POUNDS).
The reason you are been compensated is as a result of the scam you
encountered on Skype, we are aware that sev... 阅读全帖
p*****2
发帖数: 21240
24
def dfs(l, start, list, sum):
if sum==0:
print list
return

if start==len(l) or sum<0:
return

prev=-1
for i in xrange(start,len(l)):
if l[i]!=prev:
list.append(l[i])
dfs(l,i+1,list,sum-l[i])
del list[-1]
prev=l[i]
l=[10,1,2,7,6,1,5]
k=8
l.sort()
list=[]
dfs(l,0,list,k)
p*****2
发帖数: 21240
25
def dfs(l, start, list, sum):
if sum==0:
print list
return

if start==len(l) or sum<0:
return

prev=-1
for i in xrange(start,len(l)):
if l[i]!=prev:
list.append(l[i])
dfs(l,i+1,list,sum-l[i])
del list[-1]
prev=l[i]
l=[10,1,2,7,6,1,5]
k=8
l.sort()
list=[]
dfs(l,0,list,k)
f*********m
发帖数: 726
26
我也贴一个:
void CombinationSumII(vector & I, int start, vector &O, int sum,
vector > &ret)
{
if(sum == 0)
{

ret.push_back(O);
return;
}
if(start == I.size() || sum < 0)
return;
int prev = -1;
for(int i = start; i < I.size(); i++)
{
if (I[i] != prev)
{
O.push... 阅读全帖
b******g
发帖数: 3616
27
来自主题: JobHunting版 - 共享一道电面题k-sum
今天正好复习到这题。顺手写了个k-sum的代码,过了LC的3sum和4sum的test。有兴趣帮
着找找有没有没发现的bug。我觉得理解了3sum的算法,并写过4sum以后,这个kSum其
实也就一个小变种,一个葫芦里的药了。由于代码不短,感觉面试的时候还是分成子程
序写比较好,即使时间来不及写完,至少思路能和面试官说清楚。
思路和排板好看点的代码写在自己的复习总结博客里了:
http://bangbingsyb.blogspot.com/2014/11/leetcode-4sum.html
代码:
class Solution {
public:
vector > fourSum(vector &num, int target) {
vector> allSol;
vector sol;
sort(num.begin(),num.end());
kSum(num, 0, num.size()-1, target, 4, sol, allSol);... 阅读全帖
b***e
发帖数: 1419
28
我认为是有O(n)的解的。
第一步,先计算从所有位置开始的max sum。这是标准的dp解法。记这个结果array为M[
i]。
第二步,找到从左往右第一个i,使得M[i] >= target。
第三步,从i开始从左往右找第一个j,使得sum[i..j] >= target,并且sum[i..j] + M
[j+1] < target。这是找到了从左往右第一个最长的合法子序列。
第四步,向右挪i,直到(a) i >= j或者(b)sum[i..j] + M[j+1] >= target。如果(a)
发生了,goto第二步。如果(a)没发生但是(b)发生了,goto第三步。
算法描述不是结构化的。但是应该是O(n)的。因为i和j都是从左往右扫描了一遍。
s****y
发帖数: 304
29
来自主题: SanFrancisco版 - [合集] oakland 附近有什么好的dim sum啊
☆─────────────────────────────────────☆
HIH (Her Imperial Highness) 于 (Thu Jul 10 23:03:35 2008) 提到:
晚餐。要带比较重要的长辈去。内部环境要好一些的。
好多dim sum下午两点多就没有了。大家给推荐下啊。谢谢
☆─────────────────────────────────────☆
sunvey (火龙果~抓狂中) 于 (Thu Jul 10 23:35:12 2008) 提到:
dim sum一般都只开到下午吧。我觉得牡丹阁的dim sum不错,但应该晚餐是没有的。
Alameda的East Ocean (东海?)dim sum很好,但我不清楚是不是一直开到晚上。

☆─────────────────────────────────────☆
tailang (西瓜太郎) 于 (Fri Jul 11 00:06:57 2008) 提到:
演习楼还成吧
☆─────────────────────────────────────☆
windb
l*********m
发帖数: 16971
30
【 以下文字转载自 Stock 讨论区 】
发信人: lovefreedom (古板潜水员), 信区: Stock
标 题: you are been compensated with the sum of 450,000.00 GBP
发信站: BBS 未名空间站 (Mon Aug 19 19:40:06 2013, 美东)
Good day To You,
This is to inform you that you have been selected among the 10 lucky people
to be compensated this month, and you are been compensated with the sum of
450,000.00 GBP (FOUR HUNDRED AND FIFTY THOUSAND POUNDS).
The reason you are been compensated is as a result of the scam you
encountered on Skype, we are aware that se... 阅读全帖
y****y
发帖数: 212
31
来自主题: Shandong版 - 关于这个dim sum大家讨论一下
group里面的加拿大小弟弟嘲笑我是从中国北方来得,也不知道dim sum 怎么order。
其实我在国内的时候,一直在北方上大学。确实没怎么吃过早茶。是不是南方大家天天早
上都吃,还是只有周末才吃?
到了米国,是偶正式开始跟一堆朋友周末吃dim sum。 虽然chinatown里面大多都是从南
方来得人开的饭店,但是dim sum的花样繁多,我还是很喜欢。其实我很喜欢吃辣的,不
很喜欢甜的东西,山东人吗、:P
另外这个dim sum是广东话吧?澳大利亚人叫 yum cha搞笑。。。。。我想了半天才明白
就是说早茶。。嘿嘿。
r********t
发帖数: 395
32
从a【0】+a【1】....一直加下去,直到你的sum大于给定的sum
然后再用你的sum一个个从a【0】开始减。。。
Z*****Z
发帖数: 723
33
来自主题: JobHunting版 - Maximum Sum of Increasing Sequence
Maximum Sum of Increasing Subsequence
Given an integer array, how will you find out the increasing subsequence whi
ch gives the largest sum. For example,
50,23,1,67,30 in this subsequence a few possible increasing subsequences are
1) 23,30
2) 23,67
2) 50,67
3) 1,67
4) 1,30
5) 67
6) 30
but50, 67 gives the maximum sum. How to find it?
用DP,O(N)空间,O(N2)时间,是最优么?能不能像LIS那样优化成O(NlgN)?
f*********5
发帖数: 576
34
void GetPath(node * root, vector&vec,int target)
{
if(!root) return;
if(vec.size()>0)
{ sum=0;
for(int i=vec.size()-1;i>=0;i--)
{ sum+=vec[i];
if(sum==target) { PRINT;break;}
}
}
vec.push_back(root->data);
if (root->left) GetPath(root->left,vec,target);
if (root->right) GetPath(root->right,vec,target);
return;
}

level
Design an
g******0
发帖数: 221
35
2 numbers sum up to k is simple.
How to find 3 numbers sum up to K?, 4 numbers sum up to K? 5 numbers
etc...
How to find a subset of numbers that add up to K?
What's the running time?
a***r
发帖数: 93
36

yes, it is a bug, fixed, thanks for pointing it out, should have used calloc in the first place.
The algorithm should work:
If sum(from i to j)==0, then sum(0....i-1) should equal to sum(0...j)
setup an array B, such that B[i]=A[0]+...+A[i]
if A[i]+...+A[j]==0 then B[i-1]==B[j];
so only needs to find if there are duplicate items in B.
binary sort B, find duplicates, if exists then return true;
otherwise return false;
welcome to find more bugs.
f*********i
发帖数: 197
37
来自主题: JobHunting版 - Leet Code, three sum closest
3Sum Closest
Given an array S of n integers, find three integers in S such that the sum
is closest to a given number, target. Return the sum of the three integers.
You may assume that each input would have exactly one solution.
For example, given array S = {-1 2 1 -4}, and target = 1.
The sum that is closest to the target is 2. (-1 + 2 + 1 = 2).
-----------------------------------------------
What is the most efficient solution, I can only think about an
O(n^2 logn)
Please suggest.
h********o
发帖数: 14
38
来自主题: JobHunting版 - Leet Code, three sum closest
我做的跟 3sum 是一个复杂度 O(n^2); 做法也跟 3sum差不错。
1.先sort 数组S,O(nlgn);
2. 使用三个下标 i (当前下标) f(头下标) t(尾下标)
i 从0 到 n-1 遍历 // n 是数组长度
对于每一个i, 设置 f = i+1, t = n-1,
计算 sum = S[i] + S[f] + S[t], 如果比之前的sum更接近,更新。
然后,如果sum 比target 小 , f++, 否则 t--
对于每一个 i ,以上操作循环至 f>= t, 所以每一个 i 要遍历数组一遍
最终, 第2步的复杂度是 O(n^2)>O(nlgn), 所以这个算法复杂度也是O(n^2)
d******0
发帖数: 191
39
Seems old question. Am I right?
Scan from head to tail add if current sum is still positive
Update max sum if possible.
Once current sum is below zero, remove former part until it is positive
again.
g********E
发帖数: 178
40
来自主题: JobHunting版 - 问一个3 sum的问题
1,第一层循环的时候跳过重复的;
2,第二层循环从两头跳过循环的;
vector< vector > threeSum(vector &num){

int n = num.size();
vector< vector > res;
vector cur;

sort(num.begin(), num.end());
for(int i = 0; i < n-2; i++){
if(i > 0 && num[i] == num[i-1]) continue;
cur.push_back(num[i]);
int start = i + 1, end = n - 1;
while(start < end){
if(start > i+1 && num[start] == num[start-1]) {
start++; continue;
... 阅读全帖
j**7
发帖数: 143
41
来自主题: JobHunting版 - 问一个3 sum的问题
public ArrayList> threeSum(int[] numbers) {
Arrays.sort(numbers);
ArrayList> list = new ArrayList >>();
for (int i = 0; i < numbers.length; i++) {
if (i > 0 && numbers[i] == numbers[i - 1]) {
continue;
}
twoSumWhile(numbers, 0 - numbers[i], i + 1, list);
}
return list;
}
public void twoSumWhile(int[] numbers, int target, int start, ArrayList<... 阅读全帖
b******7
发帖数: 92
42
完全背包问题
f(i,v) = min{f(i-1,v), f(i-1,v - k[i])+1}
f(i,v) 用f(v)表示
初始f(v) = MAX_INT (v = 1,..., sum), f(0) = 0
for i = 0 ... m-1
for v = 1...sum
if v >= k[i] and f(v-k[i]) + 1 < f(v)
f(v) = f(v-k[i]) + 1
return f(sum)
参见:三种背包问题http://www.wutianqi.com/?p=539
h**o
发帖数: 548
43
来自主题: JobHunting版 - leetcode 上 path sum 那道题 一问
leetcode 上 path sum problem:
Given a binary tree and a sum, determine if the tree has a root-to-leaf path
such that adding up all the values along the path equals the given sum.
卡在这儿:
input output expected
{1,2}, 1 true false
是不是这种情况:
1
\
2
输出 true 有什么问题吗
p*****2
发帖数: 21240
44
来自主题: JobHunting版 - 对角线Sum 螺旋(线)
(defn f [n]
(defn dfs [i pre sum]
(cond
(= i n) sum
:default
(let [curr (+ pre (* 2 i))]
(dfs (inc i) curr (+ sum curr)))))
(dfs 1 1 1))
D**********d
发帖数: 849
45
来自主题: JobHunting版 - 对角线Sum 螺旋(线)
int CounterDiagSum(int n){
if(n < 1) return 0;
int Cur = (n-1)*n + 1;
int Sum = Cur;
while(--n > 0){
Cur -= (n + n);
Sum += Cur;
}
return Sum;
}
l***j
发帖数: 3977
46
【 以下文字转载自 Working 讨论区 】
发信人: liujj (HAHA), 信区: Working
标 题: relocation 的lump sum 和allowance有什么区别?
发信站: BBS 未名空间站 (Thu Oct 24 14:33:21 2013, 美东)
Relocation policy 看的我想死
lump sum 不是想怎么用都行嘛 怎么还规定
Home Finding:One trip totaling four days three nights for employee.
Temporary Living:Up to 30 calendar days. 已经问了 这些花费不给报销 我住40天
难道还不行了?
然后还给几千allowance 和lump sum有啥区别?
a**********0
发帖数: 422
47
简单的解法 知道set的range 产生一个int array : int[range] 保证内容和
index一样 (当然为了space可以红hash的版本 此处不是讨论这个问题) sweep整个
set 看 sum-i是不是在array之中
但是如何克服一个corner situation? 比如sum = 8 set之中只有一个4 这样自
己相当于用了两次
是不是加一个简单的判别 如果sum=2i (当然这种情况必须运用hash了) 看相应的bin
下是否有多于一个的i
a**********0
发帖数: 422
48
我觉得你的意思是用线性的sort
第二步骤是判断sum和两个指针的sum比谁的大 如果sum大则左边指针向右移动 否则右
边指针向左移动 碰头就是没有
x*******9
发帖数: 138
49
数组长度为N,把整个数组分为K段。这里取 K=sqrt(N)。
一段子数组我们用[st, end]来表示。
我们要统计每段子数组[st...x]的取值。
例如,[1, 2, 3]。sum([1]) = 1, sum([1, 2]) = 3, sum([1, 2, 3]) = 6。 然后排
序累加,使得类似“这一段子数组在和大于3有多少个”的Query的时间复杂度为O(log(
K))。
然后遍历数组,通过预处理好的子数组序列进行计算。
预计时间复杂度为O(n * sqrt(n) * log(n))。
比O(n^2)要好一点。不过比较难写。。。=。=
e**********e
发帖数: 64
50
来自主题: JobHunting版 - 问个RELOCATION PACKAGE, LUMP SUM VS. 全包
PACKAGE 1: LUMP SUM 一刀切
PACKAGE 2:RELOCTION ASSISTANCE 给一部分CASH+那些搬运及TEMP HOUSING ETC.
我也没啥家具,大家都说LUMP SUM 划算,但是加上自己运车,要破掉现在的租住合同,去
那飞机租
房找房租车, 一个月的TEMP.HOUSING, 看看也有不少钱啊
剩下的钱是不是40%税,这样看也没剩多少啊
RELOCATION ASSISTANCE 是不是也要交40%的税?
不知道是到底是怎么样情况划算,看PACKAGE 1没剩多少钱啊
为什么大家会选 LUMP SUM,应该怎么算,这些都是都是要算税的吧
还是应该PACKAGE 2,在这买了家具一起运过去
1 2 3 4 5 6 7 8 9 10 下页 末页 (共10页)